@font-face {
    font-family: "Work Sans";
    font-style: normal;
    /* font-weight: 400; */
    font-display: swap;
    src: url('./fonts/work-sans-latin-400-normal.woff');
    /*
    LICENSE: ./fonts/LICENSE_work-sans
    Copyright 2019 The Work Sans Project Authors (https://github.com/weiweihuanghuang/Work-Sans) WorkSans-Italic[wght].ttf: Copyright 2019 The Work Sans Project Authors (https://github.com/weiweihuanghuang/Work-Sans)
    SIL OPEN FONT LICENSE Version 1.1 - 26 February 2007
    */
}

@font-face {
    font-family: "Work Sans";
    font-style: normal;
    font-weight: 700;
    font-weight: bold;
    font-display: swap;
    src: url('./fonts/work-sans-latin-700-normal.woff');
    /*
    LICENSE: ./fonts/LICENSE_work-sans
    Copyright 2019 The Work Sans Project Authors (https://github.com/weiweihuanghuang/Work-Sans) WorkSans-Italic[wght].ttf: Copyright 2019 The Work Sans Project Authors (https://github.com/weiweihuanghuang/Work-Sans)
    SIL OPEN FONT LICENSE Version 1.1 - 26 February 2007
    */
}

@font-face {
    font-family: "Ms Madi";
    font-style: normal;
    font-display: swap;
    src: url('./fonts/ms-madi-latin-400-normal.woff');
    /*
    LICENSE: ./fonts/LICENSE_ms-madi
    Copyright 2018 The Ms Madi Project Authors (https://github.com/googlefonts/ms-madi)
    SIL OPEN FONT LICENSE Version 1.1 - 26 February 2007
    */
}

*, ::before, ::after {
    box-sizing: border-box;
}

:root {
    --color-white: #ffffff;
    --color-red: #ef3240;
    --color-light-green: #c3dc93;
    --color-other-purple: #b62685;
    --color-dark-purple: #9b26b6;
    --color-dark-green: #005151;
}

a {
    font-family: inherit;
    color: inherit;
}

body {
    color: var(--color-dark-green);
    font-family: "Work Sans", monospace;
    /* work sans */
    /* above the beyond script */
    margin: 0;
    padding: 0;
    padding-top: 1.5rem;

    overflow-x: hidden;
}

main {
    display: flex;
    flex-direction: column;
    white-space-collapse: collapse;
}

h1 {
    font-weight: bold;
    font-size: 4rem;
    line-height: 1em;
}

h2 {
    font-weight: bold;
    font-size: 2rem;
    line-height: 1em;
}

p {
    font-size: 1.2rem;
}

section {
    background-color: var(--color-light-green);
    position: relative;
    padding: 4rem 0;
}

section::after {
    content: "";
    position: absolute;
    inset: 0;
    z-index: -10000;
}

section#top {
    background-color: var(--color-white);
    border-radius: 0px 0px 50vmin 0px;
}

section#top::after {
    background-color: var(--color-light-green);
}

section#offerings {
    border-radius: 50vmin 0px 50vmin 0px;
}

section#samples::after {
    background-color: var(--color-light-green);
}
section#samples {
    background-color: var(--color-white);
    border-radius: 50vmin 0px 0px 0px;
}

.section-content {
    max-width: 960px;
    margin-inline: auto;
}

.datenschutz-content > section {
    background-color: transparent;
    border-radius: 0;
    padding: 0;
}
.datenschutz-content > section::after {
    display: none;
}
.datenschutz-content h2 {
    text-align: left;
}

header .logo-part {
    position: relative;
    display: flex;
    flex-direction: row;
    place-items: center;
    gap: 2em;
    z-index: 10000;
    text-decoration: none;
    width: fit-content;
}

header .logo-part span {
    font-size: xx-large;
    font-weight: bold;
}

body::before {
    content: "";
    display: block;
    --size: 30vmin;
    width: var(--size);
    height: var(--size);
    background: url(circles.svg);
    background-size: var(--size) var(--size);
    position: absolute;
    right: 1rem;
    top: 1rem;
    z-index: 9000;
}

.portrait-photo {
    background-color: var(--color-other-purple);
    border-radius: 100% 0% 100% 100%;
    display: grid;
    place-items: center;
    --size: 320px;
    width: var(--size);
    height: var(--size);
    aspect-ratio: 1;
    margin-left: 1.5em;

    float: right;
}

.portrait-photo img {
    border-radius: 100%;
    width: 86%;
    height: 86%;
}

.offers-container {
    display: grid;
    margin: 4em 0;

    grid-template-columns: 1fr;
    gap: 1rem;
}

.offer-box {
    background-color: white;
    border: 0.15rem solid var(--color-other-purple);
    padding: 2em 2em;
    text-align: center;
    position: relative;
}

.offer-box:nth-of-type(2n) {
    background-color: transparent;
    border: none;
    order: 3;
}

.offers-container h3 {
    color: var(--color-other-purple);
    margin-top: 1rem;
}

.offer-box .info-arrow-byminute {
    position: absolute;
    color: var(--color-red);
    width: 10em;

    top: 0;
    right: 0;
    transform: translate(-0%, -250%);
}
.offer-box .info-arrow-byminute::after {
    content: "";
    width: 3rem;
    height: 3rem;
    background: url(./arrow.svg);
    background-repeat: no-repeat;
    position: absolute;
    bottom: 0;
    left: 0;
    transform: translate(100%, 130%) rotate(120deg);
}

.offer-box .info-arrow-royalty {
    position: absolute;
    color: var(--color-red);
    width: 10em;
    left: 0;
    bottom: 0;
    transform: translate(0%, 290%);
}
.offer-box .info-arrow-royalty::after {
    content: "";
    width: 3rem;
    height: 3rem;
    background: url(./arrow.svg);
    background-repeat: no-repeat;
    position: absolute;

    top: 0;
    right: 0;
    transform: translate(-100%, -120%) rotate(-40deg);
}


ul {
    list-style: none;
    text-align: left;

    margin: 0;
    padding: 0;
    margin-top: 1rem;
}

ul li {
    margin-top: 1em;
    list-style: none;
    display: block;
    position: relative;
    margin-left: 1.8em;
}

ul li::before {
    content: "";
    background: url(checkmark.svg);
    --size: 1.2em;
    width: var(--size);
    height: var(--size);
    background-size: var(--size) var(--size);
    display: inline-block;
    margin-left: -1.8em;
    position: absolute;
}

.samples-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));

    gap: 4em;
    padding: 4em;
}

.samples-container > audio {
    width: 100%;
}

.buttons {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 0.5em;
}

.button {
    background-color: var(--color-other-purple);
    color: white;
    border-radius: 0.3em;
    font-size: 2rem;
    padding: 0.4em 1.2em;
    text-decoration: none;
    white-space: nowrap;
}

.name-highlight {
    color: var(--color-other-purple);
    font-family: "Ms Madi", serif;
    font-size: 1.3em;
}

footer {
    background-color: var(--color-dark-green);
    color: var(--color-white);
    padding-block: 3em;
    
}

.italic {
    font-style: italic;
}

@media(max-width: 999.9999px) {
    .section-content {
        margin-inline: 2em;
    }

    .button {
        font-size: 1.7rem;
    }

    h2 {
        text-align: center;
    }

    .portrait-photo {
        --size: 40%;
    }

    .offer-box .info-arrow-byminute {
        top: unset;
        bottom: 0;
        right: 0;
        transform: translate(0%, 112%);
    }
    .offer-box .info-arrow-byminute::after {
        bottom: unset;
        top: 0;
        left: 0;
        transform: translate(-60%, 0%) rotate(244deg);
    }

    .offer-box .info-arrow-royalty {
        bottom: unset;
        left: unset;
        right: 0;
        top: 0;
        transform: translate(20%, -130%);
    }
    .offer-box .info-arrow-royalty::after {
        right: unset;
        left: 0;
        bottom: 0;
        top: unset;
        transform: scaleX(-100%) translate(34%, 25%) rotate(66deg);
    }

    .offers-container {
        margin-bottom: 0;
    }
}

@media(min-width: 1000px) {
    .offers-container {
        grid-template-columns: repeat(3, minmax(0, 1fr));
        gap: 0;
    }
    .offer-box:nth-of-type(2n) {
        order: unset;
    }
}
